<table cellspacing="1" cellpadding="5" border="1" width="95%" align="center">
<tbody>
    <tr>
        <td valign="top" width="70%"><b>Sample code</b></td>
        <td valign="top" width="30%"><b>Result</b></td>
    </tr>
    <tr>
        <td valign="top">
<pre>
<cfxml variable="xmlFile">
<?xml version="1.0" encoding="UTF-8"?>
<order xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" id="4323251">
    <customer firstname="Philip" lastname="Cramer" accountNum="21"/>
    <items>
        <item id="43">
            <name>Deluxe Carpenter&apos;s Hammer</name>
            <quantity>1</quantity>
            <unitprice>15.95</unitprice>
        </item>
        <item id="54">
            <name>36" Plastic Rake</name>
            <quantity>2</quantity>
            <unitprice>6.95</unitprice>
        </item>
        <item id="68">
            <name>Standard paint thinner</name>
            <quantity>3</quantity>
            <unitprice>8.95</unitprice>
        </item>
    </items>
</order>
</cfxml>


<cfxml variable="xsdFile">
<?xml version="1.0" encoding="UTF-8"?>
<xs:schema xmlns:xs="http://www.w3.org/2001/XMLSchema" elementFormDefault="qualified">
    <xs:element name="customer">
        <xs:complexType>
            <xs:attribute name="firstname" type="xs:string" use="required"/>
            <xs:attribute name="lastname" type="xs:string" use="required"/>
            <xs:attribute name="accountNum" type="xs:string" use="required"/>
        </xs:complexType>
    </xs:element>
    <xs:element name="name" type="xs:string"/>
    <xs:element name="quantity" type="xs:string"/>
    <xs:element name="unitprice" type="xs:string"/>
    <xs:element name="item">
        <xs:complexType>
            <xs:sequence>
                <xs:element ref="name"/>
                <xs:element ref="quantity"/>
                <xs:element ref="unitprice"/>
            </xs:sequence>
            <xs:attribute name="id" type="xs:integer" use="required">
</xs:attribute>
        </xs:complexType>
    </xs:element>
    <xs:element name="items">
        <xs:complexType>
            <xs:sequence>
                <xs:element ref="item" maxOccurs="unbounded"/>
            </xs:sequence>
        </xs:complexType>
    </xs:element>
    <xs:element name="order">
        <xs:complexType>
            <xs:sequence>
                <xs:element ref="customer"/>
                <xs:element ref="items"/>
            </xs:sequence>
            <xs:attribute name="id" type="xs:string" use="required"/>
        </xs:complexType>
    </xs:element>
</xs:schema>
</cfxml>

<cfset myResults=XMLValidate(xmlFile, xsdFile)>
<cfdump var="#myResults#">
</pre>        
        </td>
        <td valign="top">
            <cfxml variable="xmlFile">
            <?xml version="1.0" encoding="UTF-8"?>
            <order xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" id="4323251">
                <customer firstname="Philip" lastname="Cramer" accountNum="21"/>
                <items>
                    <item id="43">
                        <name>Deluxe Carpenter&apos;s Hammer</name>
                        <quantity>1</quantity>
                        <unitprice>15.95</unitprice>
                    </item>
                    <item id="54">
                        <name>36" Plastic Rake</name>
                        <quantity>2</quantity>
                        <unitprice>6.95</unitprice>
                    </item>
                    <item id="68">
                        <name>Standard paint thinner</name>
                        <quantity>3</quantity>
                        <unitprice>8.95</unitprice>
                    </item>
                </items>
            </order>
            </cfxml>
            
            
            <cfxml variable="xsdFile">
            <?xml version="1.0" encoding="UTF-8"?>
            <xs:schema xmlns:xs="http://www.w3.org/2001/XMLSchema" elementFormDefault="qualified">
                <xs:element name="customer">
                    <xs:complexType>
                        <xs:attribute name="firstname" type="xs:string" use="required"/>
                        <xs:attribute name="lastname" type="xs:string" use="required"/>
                        <xs:attribute name="accountNum" type="xs:string" use="required"/>
                    </xs:complexType>
                </xs:element>
                <xs:element name="name" type="xs:string"/>
                <xs:element name="quantity" type="xs:string"/>
                <xs:element name="unitprice" type="xs:string"/>
                <xs:element name="item">
                    <xs:complexType>
                        <xs:sequence>
                            <xs:element ref="name"/>
                            <xs:element ref="quantity"/>
                            <xs:element ref="unitprice"/>
                        </xs:sequence>
                        <xs:attribute name="id" type="xs:integer" use="required">
            </xs:attribute>
                    </xs:complexType>
                </xs:element>
                <xs:element name="items">
                    <xs:complexType>
                        <xs:sequence>
                            <xs:element ref="item" maxOccurs="unbounded"/>
                        </xs:sequence>
                    </xs:complexType>
                </xs:element>
                <xs:element name="order">
                    <xs:complexType>
                        <xs:sequence>
                            <xs:element ref="customer"/>
                            <xs:element ref="items"/>
                        </xs:sequence>
                        <xs:attribute name="id" type="xs:string" use="required"/>
                    </xs:complexType>
                </xs:element>
            </xs:schema>
            </cfxml>
            
            <cfset myResults=XMLValidate(xmlFile, xsdFile)>
            <cfdump var="#myResults#">
        </td>
    </tr>
</tbody>
</table>
 
