 
<br><br>
<cfinvoke 
    component="artist"
    method="getArtists"
    returnvariable="getArtistsRet">
</cfinvoke>

<strong>Artist List</strong>

<cfdump var="#getArtistsRet#">
 
<!---
--------------------------------------------------------------------------------
 
cfinvoke calls the getArtist method of the Artist.cfc stored in the component path, CFIDE.gettingstarted.snippets.Artists. Periods are used instead of forward or backward slashes commonly used between directory names. The path also begins in the web server root. If you are using the built-in ColdFusion MX 7 server, this path declares that the Artist.cfc can be found in {your drive}:\blackstone\wwwroot\cfide\gettingstarted\snippets\.

Once the query is returned from the getArtist method, the cfinvoke tag stores the variable returned in a new variable called getArtistsRet.

the GetArtistsRet variable is passed to the cfdump tag, which is a useful debugging tool that lets you quickly see what values are contained 

in your variable.  
--->

<!--- Use the following code in a file called artists.cfc

<cfcomponent>
    <cffunction access="public" name="getArtists" output="false" returntype="query">
        <cfset var artistsQuery="">            
        
        <cfquery name="artistsQuery" datasource="#request.dsn#">
            SELECT ARTISTID, FIRSTNAME, LASTNAME, PHONE
            FROM GSTARTED.ARTISTS
            ORDER BY LASTNAME
        </cfquery>
        
        <cfreturn artistsQuery>
    </cffunction>
</cfcomponent>

---> 

<!---
--------------------------------------------------------------------------------
 
The Artist.cfc contains one method, getArtists(), that returns a query to the calling page.

The cfset statement initializes the artistsQuery variable, which will hold the query created on the next line.

The artistsQuery references the Artists datasource registered with the ColdFusion MX 7 server. 
--->