<!--- This view-only example executes a Sybase stored procedure that
returns three result sets, two of which we want. The stored
procedure returns the status code and one output parameter,
which we display. We use named notation for the parameters. --->
<cfstoredproc procedure = "foo_proc"
    dataSource = "MY_SYBASE_TEST"
    username = "sa"
    password = ""
    dbName = "pubs2"
    returnCode = "Yes"
    debug = "Yes">

    <cfprocresult name = RS1>
    <cfprocresult name = RS3 resultSet = 3>

    <cfprocparam type="IN" CFSQLType="CF_SQL_INTEGER" value="1" dbVarName="@param1">
    <cfprocparam type="OUT" CFSQLType="CF_SQL_DATE" variable="FOO" dbVarName="@param2">
</cfstoredproc>

<cfoutput>The output param value: #foo#<br></cfoutput>
<h3>The Results Information</h3>

<cfoutput query="RS1">
    #name#,#DATE_COL#<br>
</cfoutput>

<cfoutput>
<hr>
Record Count: #RS1.recordCount#
<br>
Columns: #RS1.columnList#
<hr>
</cfoutput>

<cfoutput query = RS3>#col1#,#col2#,#col3#<br></cfoutput>

<p>
<cfoutput>
<hr>
Record Count: #RS3.recordCount# <br>
Columns: #RS3.columnList#
<hr>
The return code for the stored procedure is: #cfstoredproc.statusCode#<br>
</cfoutput>
 
