<cfif isDefined("form.update")>
    <cfupdate datasource="#request.dsn#"
        formfields="artistid,firstname,lastname,phone"
        tablename="artists">

    <font color="#FF0000">
        <cfoutput>
        <br><br>
        #form.firstName# #form.lastName# has been updated in the database.
        </cfoutput>
    </font>
</cfif>


<cfif not isDefined("url.artistID")>

<cfscript>
    obj = createObject("component", "Artists");
    getArtistsRet = obj.getArtists();
</cfscript>

<h1>Artists by Last Name</h1>
<table cellpadding="5" cellspacing="0" border="1">
<tr>
    <th>Last Name</th>
    <th>First Name</th>
    <th>Phone</th>
    <th>Action</th>
</tr>
    <cfoutput query="getArtistsRet">
    <tr>
        <td>#getArtistsRet.lastName#</td>
        <td>#getArtistsRet.firstName#</td>
        <td>#getArtistsRet.phone#</td>
        <td>
            <a href="#cgi.script_name#?#cgi.query_string#&ArtistID=#getArtistsRet.artistID#">edit</a>
        </td>
    </tr>
    </cfoutput>
</table>

<cfelse>

    <cfscript>
        obj = createObject("component", "Artists");
        getArtistDetails = obj.getArtists(ArtistID);
    </cfscript>

    <cfform action="index.cfm" format="XML" skin="blue" width="200" height="200">
        <cfinput type="hidden" name="artistID" value="#getArtistDetails.artistID#">
        <cfformgroup type="vertical">
            <cfformitem type="HTML">
                <strong>Update the Artist in the Database</strong>
            </cfformitem>
            <cfinput id="firstName" title="First Name" name="firstName" size="20" maxlength="20" type="text" label="First Name" required="yes" message="First name is required." value="#getArtistDetails.firstName#" />
            <cfinput id="lastName" title="Last Name" name="lastName" size="20" maxlength="20" type="text" label="Last Name" required="yes" message="Last name is required." value="#getArtistDetails.lastName#" />
            <cfinput id="phone" title="Phone" name="Phone" size="15" maxlength="15" type="text" label="Phone" required="yes" message="Phone is required." value="#getArtistDetails.phone#" />
            <cfinput id="submit" title="Update" name="update" value="Update" type="submit" style="margin-left:135px" />
        </cfformgroup>
    </cfform>
</cfif>


<!--- Add the following code to a file called artists.cfm 
<cfcomponent>
    <cffunction access="public" name="getArtists" output="false" returntype="query">
        <cfset var artistsQuery="">
        <cfquery name="artistsQuery" datasource="#request.dsn#">
            SELECT ARTISTID, FIRSTNAME, LASTNAME, PHONE
            FROM GSTARTED.ARTISTS
            ORDER BY LASTNAME
        </cfquery>
        <cfreturn artistsQuery />
    </cffunction>


    <cffunction access="public" name="insertArtist" output="false" returntype="boolean">
        <cfargument name="formVariables" type="struct" required="yes">
        <cfset isSuccessful=true>
        <cftry>
            <cfquery name="artistsInsert" datasource="#request.dsn#">
                INSERT INTO ARTISTS (FIRSTNAME, LASTNAME, PHONE)
                VALUES (
                    <cfqueryparam cfsqltype="CF_SQL_VARCHAR" value="#arguments.formVariables.firstName#">
                    , <cfqueryparam cfsqltype="CF_SQL_VARCHAR" value="#arguments.formVariables.lastName#">
                    , <cfqueryparam cfsqltype="CF_SQL_VARCHAR" value="#arguments.formVariables.phone#">)
            </cfquery>
            <cfcatch type="Database"><cfset isSuccessful=false></cfcatch>
        </cftry>
        <cfreturn isSuccessful>
    </cffunction>


    <cffunction access="public" name="updateArtist" output="false" returntype="boolean">
        <cfargument name="formVariables" type="struct" required="yes">
        <cfset isSuccessful=true>
        <cftry>
            <cfquery name="artistUpdate" datasource="#request.dsn#">
                UPDATE ARTISTS
                SET FIRSTNAME = <cfqueryparam cfsqltype="CF_SQL_VARCHAR" value="#arguments.formVariables.firstName#">,
                LASTNAME = <cfqueryparam cfsqltype="CF_SQL_VARCHAR" value="#arguments.formVariables.lastName#">,
                PHONE = <cfqueryparam cfsqltype="CF_SQL_VARCHAR" value="#arguments.formVariables.phone#">
                WHERE ARTISTID = <cfqueryparam cfsqltype="CF_SQL_VARCHAR" value="#arguments.formVariables.artistID#">
            </cfquery>
            <cfcatch type="Database"><cfset isSuccessful=false></cfcatch>
        </cftry>
        <cfreturn isSuccessful>
    </cffunction>


    <cffunction access="public" name="deleteArtist" output="false" returntype="boolean">
        <cfargument name="artistID" type="numeric" required="yes">
        <cfset isSuccessful=true>
        <cftry>
            <cfquery name="artistDelete" datasource="#request.dsn#">
                DELETE FROM GSTARTED.ARTISTS
                WHERE ARTISTID = <cfqueryparam cfsqltype="CF_SQL_VARCHAR" value="#arguments.artistID#">
            </cfquery>
            <cfcatch type="Database"><cfset isSuccessful=false></cfcatch>
        </cftry>
        <cfreturn isSuccessful>
    </cffunction>

</cfcomponent>

--->
 
