<!---In this example, the code loops five times, displaying the index value each time:--->
<cfloop index = "LoopCount" from = "1" to = "5">
   The loop index is <cfoutput>#LoopCount#</cfoutput>.<br>
</cfloop>


<!---In this example, the code loops four times, displaying the index value each time. The value of j is decreased by one for each iteration. This does not affect the value of to, because it is a copy of j that is made before entering the loop. --->
<cfset j = 4>
<cfloop index = "LoopCount" from = "1" to = #j#>
   <cfoutput>The loop index is #LoopCount#</cfoutput>.<br>
   <cfset j = j - 1>
</cfloop>


<!---In this example, step has the default value, 1. The code decrements the index:--->
<cfloop index = "LoopCount" 
   from = "5" 
   to = "1" 
   step = "-1">
The loop index is <cfoutput>#LoopCount#</cfoutput>.<br>
</cfloop>

